[1] MLD-5.x / Systems / Raspberry PI / RPI3b+ testing - epg2vdr lib Error
 

Offline iNOB

  • Profi Member
  • ****
  • Posts: 331
    • View Profile
RPI3b+ testing - epg2vdr lib Error
« on: January 04, 2019, 10:15:46 »
Wenn ich den aktuellen Stand benutze, kommt bei der Verwendung vom "vdr-plugin-epg2vdr" folgender Fehler:
Code: [Select]
Jan  4 10:12:05 (none) user.err vdr: [7497] ERROR: /usr/lib/arm-linux-gnueabihf/libmariadbclient.so.18: version `libmysqlclient_18' not found (required by /usr/lib/vdr/libvdr-epg2vdr.so.2.4.0)

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 17611
    • View Profile
    • ClausMuus.de
RPI3b+ testing - epg2vdr lib Error
« Reply #1 on: January 05, 2019, 11:02:33 »
Ich habe das mit dem unstable RPI getestet und bekomme den Fehler nicht.
MLD 5.1 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.1 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 6TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 17611
    • View Profile
    • ClausMuus.de
RPI3b+ testing - epg2vdr lib Error
« Reply #2 on: January 05, 2019, 15:04:16 »
Ich hab's gefunden und behoben. Da war ein library Paket veraltet.
MLD 5.1 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.1 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 6TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Offline iNOB

  • Profi Member
  • ****
  • Posts: 331
    • View Profile
RPI3b+ testing - epg2vdr lib Error
« Reply #3 on: January 07, 2019, 08:01:21 »
Danke.

[EDIT] Geht leider immer noch nicht. Bekomme nach wie vor die Fehlermeldung. Auch das händische Löschen der Pakete aus dem apt cache und der libs ändert nichts. [/EDIT]
« Last Edit: January 07, 2019, 09:37:34 by iNOB »

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 17611
    • View Profile
    • ClausMuus.de
RPI3b+ testing - epg2vdr lib Error
« Reply #4 on: January 07, 2019, 17:03:48 »
Welche Version hat bei Dir das libmariadbclient Paket? Das kannst Du im Webif Setup nachschauen.
MLD 5.1 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.1 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 6TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Offline iNOB

  • Profi Member
  • ****
  • Posts: 331
    • View Profile
RPI3b+ testing - epg2vdr lib Error
« Reply #5 on: January 08, 2019, 08:33:41 »
libmariadbclient.so.18.0.0

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 17611
    • View Profile
    • ClausMuus.de
RPI3b+ testing - epg2vdr lib Error
« Reply #6 on: January 08, 2019, 09:48:23 »
nicht das .so File, sondern die Paket Version müsste ich wissen...
MLD 5.1 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.1 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 6TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Offline iNOB

  • Profi Member
  • ****
  • Posts: 331
    • View Profile
RPI3b+ testing - epg2vdr lib Error
« Reply #7 on: January 08, 2019, 11:16:24 »
Achso...
Code: [Select]
ii  libmariadbclient18                        10.1.23-~1                armhf                     MariaDB database client library

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 17611
    • View Profile
    • ClausMuus.de
RPI3b+ testing - epg2vdr lib Error
« Reply #8 on: January 08, 2019, 15:49:43 »
Das ist die alte Version der Lib. Da gibt's eine neuere von. Kann aber sein, das das Update im Webif nicht angezeigt wird. Auf der Konsole kannst Du das so updaten:
Code: [Select]
apt install libmariadbclient18
MLD 5.1 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.1 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 6TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Offline iNOB

  • Profi Member
  • ****
  • Posts: 331
    • View Profile
RPI3b+ testing - epg2vdr lib Error
« Reply #9 on: January 09, 2019, 08:47:25 »
Egal wie ich es anstelle, ich bekomme immer die 10.1.23-~1 installiert. Irgendwas ist da verbogen...

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 17611
    • View Profile
    • ClausMuus.de
RPI3b+ testing - epg2vdr lib Error
« Reply #10 on: January 09, 2019, 18:04:57 »
Und Du verwendest die unstable MLD für RPI?
Stable sollte eigentlich auch aktualisiert sein, aber da bin ich nicht sicher.
MLD 5.1 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.1 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 6TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Offline iNOB

  • Profi Member
  • ****
  • Posts: 331
    • View Profile
RPI3b+ testing - epg2vdr lib Error
« Reply #11 on: January 10, 2019, 07:19:02 »
Nö... testing?! Steht aber auch so im Betreff. Sollte ich stattdessen auf Unstable gehen?

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 17611
    • View Profile
    • ClausMuus.de
RPI3b+ testing - epg2vdr lib Error
« Reply #12 on: January 10, 2019, 08:49:21 »
Ach, testing hatte ich ganz vergessen zu überprüfen. Da habe ich jetzt auch das Paket aktualisiert.
MLD 5.1 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.1 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 6TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Offline iNOB

  • Profi Member
  • ****
  • Posts: 331
    • View Profile
RPI3b+ testing - epg2vdr lib Error
« Reply #13 on: January 12, 2019, 16:50:06 »
Funzt. Danke.

Allerdings geht jetzt das Streamen von Sendern im MPEG4 Format nicht mehr. Wenn ich mittels VDR-Manger auf die Sender schalte bricht er sofort ab.

[1] MLD-5.x / Systems / Raspberry PI / RPI3b+ testing - epg2vdr lib Error
 



Users Online Users Online

0 Members and 1 Guest are viewing this topic.